# eric3.VCS.cvsPackage.MergeDialog

Module implementing a dialog to enter the data for a merge operation.

### Classes

CvsMergeDialog | Class implementing a dialog to enter the data for a merge operation.

### Functions

None

## CvsMergeDialog

Class implementing a dialog to enter the data for a merge operation.

### Derived from

MergeForm

### Methods

CvsMergeDialog | Constructor
enableOkButton | Private method used to enable/disable the OK-button.
getParameters | Public method to retrieve the tag data.

### CvsMergeDialog (Constructor)

CvsMergeDialog(taglist, parent = None)

Constructor

taglist
  list of previously entered tags (QStringList)
parent
  parent widget (QWidget)

### CvsMergeDialog.enableOkButton

enableOkButton(text)

Private method used to enable/disable the OK-button.

text
  ignored

### CvsMergeDialog.getParameters

getParameters()

Public method to retrieve the tag data.

Returns:
  tuple naming two tag names or two revisions (QString, QString)

Up